botruntime
API ReferenceChat API

Add Participant

Add a [Participant](#schema_participant) to a [Conversation](#schema_conversation).

POST
/v1/chat/conversations/{id}/participants

Path Parameters

id*string

Conversation id

Header Parameters

x-bot-id*string

Bot id

x-integration-id?string

Integration id

x-integration-alias?string

Integration alias

Request Body

application/json

Participant data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/chat/conversations/string/participants" \  -H "x-bot-id: string" \  -H "Content-Type: application/json" \  -d '{    "userId": "stringstringstringstringstri"  }'
{  "participant": {    "id": "stringstringstringstringstri",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "tags": {      "property1": "string",      "property2": "string"    },    "name": "string",    "pictureUrl": "string",    "properties": {      "property1": "string",      "property2": "string"    },    "attributes": {      "property1": "string",      "property2": "string"    }  }}
{  "participant": {    "id": "stringstringstringstringstri",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "tags": {      "property1": "string",      "property2": "string"    },    "name": "string",    "pictureUrl": "string",    "properties": {      "property1": "string",      "property2": "string"    },    "attributes": {      "property1": "string",      "property2": "string"    }  }}